Subject: Re: ld, dlls, and windows libraries
From: Geoffrey Noer <[email-masked]>
To: Mumit Khan <[email-masked]>
Cc: John Fortin <[email-masked]>, "[email-masked]'" <[email-masked]>
Date: Fri, 12 Feb 1999 16:53:37 -0800

On Fri, Feb 12, 1999, Mumit Khan wrote:
[...]
> <gratuitous gripe mode> I frequently see folks using ld to build DLLs,
> and run into all sorts of problems. Why use ld when gcc does all of
> this and more?? Is it because Cygwin User Guide shows the most 
> convoluted and error-prone way to build DLLs? Also interesting is the 
> aversion to using the search facility in the mailing list where I and 
> others have posted info on portably building DLLs many many times. 
> <off now, whew!>

FYI, the example in the User's Guide now calls gcc instead of ld.

-- 
Geoffrey Noer		Email: [email-masked]
Cygnus Solutions